> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.coperniq.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server.

# Get Contact

GET https://api.coperniq.io/v1/contacts/{contact_id}

Retrieve a specific contact by ID

Reference: https://docs.coperniq.io/api-reference/contacts/get-contact

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `contact_id` (integer, required) — Contact identifier

## Response

### 200

Contact details

- `name` (string, required) — Contact's full name
- `id` (integer, optional) — Unique identifier
- `createdAt` (string, optional) — Creation timestamp
- `updatedAt` (string, optional) — Last update timestamp
- `phones` (list of string, optional) — List of contact phone numbers
- `emails` (list of string, optional) — List of contact email addresses
- `title` (string, optional, nullable) — Contact title
- `description` (string, optional, nullable) — Contact description
- `createdByUser` (ContactCreatedByUser, optional)
- `accounts` (list of ContactRelatedRecordRef, optional) — List of linked accounts
- `projects` (list of ContactRelatedRecordRef, optional) — List of linked projects
- `opportunities` (list of ContactRelatedRecordRef, optional) — List of linked opportunities
- `vendors` (list of ContactRelatedRecordRef, optional) — List of linked vendors

## Errors

### 401 Unauthorized Error

Authentication failed

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`

### 404 Not Found Error

Resource not found

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`

## Types

### ContactCreatedByUser

- `id` (integer, optional) — User identifier

### ContactRelatedRecordRef

- `id` (integer, optional) — Record identifier
- `title` (string, optional) — Record title

## Examples

**Response**

```json
{
  "name": "Jordan Lee",
  "phones": [
    "+14155550123"
  ],
  "emails": [
    "jordan.lee@example.com"
  ],
  "title": "Project Coordinator",
  "createdByUser": {
    "id": 42
  },
  "accounts": [
    {
      "id": 101,
      "title": "Acme Solar"
    }
  ],
  "projects": [
    {
      "id": 501,
      "title": "Smith Residence"
    }
  ]
}
```

**SDK Code**

```python Example contact
import requests

url = "https://api.coperniq.io/v1/contacts/1"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example contact
const url = 'https://api.coperniq.io/v1/contacts/1';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example contact
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.coperniq.io/v1/contacts/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example contact
require 'uri'
require 'net/http'

url = URI("https://api.coperniq.io/v1/contacts/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example contact
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.coperniq.io/v1/contacts/1")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Example contact
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.coperniq.io/v1/contacts/1', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example contact
using RestSharp;

var client = new RestClient("https://api.coperniq.io/v1/contacts/1");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example contact
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/contacts/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```